# Uses of Interface
org.eclipse.pde.core.project.IPackageImportDescription

Packages that use IPackageImportDescription
Package
Description
org.eclipse.pde.core.project
Application programming interfaces to create new plug-in projects programmatically.

## Uses of IPackageImportDescription in org.eclipse.pde.core.project

Methods in org.eclipse.pde.core.project that return IPackageImportDescription
Modifier and Type
Method
Description
`IPackageImportDescription[]`
IBundleProjectDescription.`getPackageImports()`
Returns the value of the Import-Package header or `null` if unspecified.
`default IPackageImportDescription`
IBundleProjectService.`newPackageImport(String name, VersionRange range, boolean optional)`
Deprecated, for removal: This API element is subject to removal in a future version.
Instead use `IBundleProjectService.newPackageImport(String, VersionRange, boolean)`
`IPackageImportDescription`
IBundleProjectService.`newPackageImport(String name, VersionRange range, boolean optional)`
Creates and returns a new package import description.
Methods in org.eclipse.pde.core.project with parameters of type IPackageImportDescription
Modifier and Type
Method
Description
`void`
IBundleProjectDescription.`setPackageImports(IPackageImportDescription[] imports)`
Sets the value of the Import-Package header for the described bundle.